yaml: move to subdirectory

A pending sdbusplus change (I38b69bc67b6a3d80cda1b508a76e106a50d8ab93)
is going to require YAML to be in a specific subdirectory and not in
the root.  Move here in prep for that change.

Also add in the regenerate-meson script as a helper to regenerate
the sdbusplus meson files for this repository.

Signed-off-by: Patrick Williams <patrick@stwcx.xyz>
Change-Id: I2c9e74b85550e3e8f0f5cb56a82e85c5b13c6d00
diff --git a/gen/run-ci b/gen/run-ci
new file mode 100755
index 0000000..dba8109
--- /dev/null
+++ b/gen/run-ci
@@ -0,0 +1,16 @@
+#!/bin/bash
+cd "$(dirname "$0")" || exit
+find . -mindepth 1 -maxdepth 1 -type d -exec rm -r {} \;
+./regenerate-meson || exit
+rc=0
+git --no-pager diff --exit-code -- . || rc=$?
+untracked="$(git ls-files --others --exclude-standard -- .)" || rc=$?
+if [ -n "$untracked" ]; then
+    echo "Untracked files:" >&2
+    echo "$untracked" >&2
+    rc=1
+fi
+if ((rc != 0)); then
+    echo "Generated meson files differ from expected values" >&2
+    exit 1
+fi